cupsctl(8)

NAME
cupsctl - configure cupsd.conf options

SYNOPSIS
cupsctl [ -E ] [-U username ] [ -h server[:port] ] [ --[no-]debug-logging ] [ --[no-]remote-admin ] [ --[no-]remote-any ] [ --[no-]remote-printers ] [ --[no-]share-printers ] [ --[no-]user-cancel-any ] [ name=value ]

DESCRIPTION
cupsctl updates or queries the cupsd.conf file for a server. When no changes are requested, the current configuration values are written to the standard output in the format "name=value", one per line.

OPTIONS
The following options are recognized:

-E
    Enables encryption on the connection to the scheduler.

-U username
    Specifies an alternate username to use when authenticating with the scheduler.

-h server[:port]
    Specifies the server address.

--[no-]debug-logging
    Enables or disables debug logging in the error_log file.

--[no-]remote-admin
    Enables or disables remote administration.

--[no-]remote-any
    Enables or disables printing from any address, e.g. the Internet.

--[no-]remote-printers
    Enables or disables the display of remote printers shared via the CUPS, LDAP, or SLP protocols.

--[no-]share-printers
    Enables or disables sharing of local printers with other computers.

--[no-]user-cancel-any
    Allows or prevents users from canceling jobs owned by others.

EXAMPLES
Display the current settings:
    cupsctl

Enable debug logging:
    cupsctl --debug-logging

Get the current debug logging state:
    cupsctl | grep '^_debug_logging' | awk -F= '{print $2}'

Disable printer sharing:
    cupsctl --no-shared-printers

Enable printing using the file: pseudo-device:
    cupsctl FileDevice=Yes

SEE ALSO
cupsd.conf(5), cupsd(8),
http://localhost:631/help

COPYRIGHT
Copyright 2007 by Apple Inc.